package development

import "shylinux.com/x/ice"

type repos struct{ Table }

func init() { ice.TeamCtxCmd(repos{}) }

type ReposType int

const (
	ReposLocal ReposType = iota
	ReposRemote
)

var ReposTypeList = map[ReposType]string{
	ReposLocal:  "local",
	ReposRemote: "remote",
}

func (s ReposType) String() string { return ReposTypeList[s] }
