package shichangyingxiao

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/shichangyingxiao/model"
)

type promotion struct {
	Table
	channel     channel
	userChannel userChannel
	create    string `name:"create title* content*" role:"leader"`
}

func (s promotion) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.CHANNEL_UID))...)
	s.recordEventWithName(m, "")
}
func (s promotion) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userChannel, s.channel, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(promotion{}) }