package zijinlian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/zijinlian/model"
)

type investment struct {
	Table
	investor     investor
	userInvestor userInvestor
	create    string `name:"create title* content*" role:"leader"`
}

func (s investment) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.INVESTOR_UID))...)
	s.recordEventWithName(m, "")
}
func (s investment) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userInvestor, s.investor, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(investment{}) }