package gongyinglian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/gongyinglian/model"
)

type sell struct{ Order }

func (s sell) Inputs(m *ice.Message, arg ...string) {
	s.Table.Inputs(m.Options(model.PRODUCT_TYPE, kit.Format(ProductGoods)), arg...)
}
func (s sell) List(m *ice.Message, arg ...string) {
	m.Cmdy(s.Order, arg, kit.Dict(model.ORDER_TYPE, kit.Format(OrderSell)))
	kit.If(len(arg) == 1, func() { m.Action(s.Sell) })
}

func init() { ice.TeamCtxCmd(sell{Order: newOrder()}) }
