package guanlixitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type target struct {
	Table
	group     group
	userGroup userGroup
	create    string `name:"create title* content*" role:"leader"`
}

func (s target) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.GROUP_UID, model.USER_UID))...)
	s.recordEventWithName(m, "")
}
func (s target) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userGroup, s.group, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(target{}) }
