package operation

import "shylinux.com/x/ice"

type cloud struct{ Table }

func init() { ice.TeamCtxCmd(cloud{}) }

type CloudType int

const (
	CloudAliyun CloudType = iota
	CloudTencent
)

var CloudTypeList = map[CloudType]string{
	CloudAliyun:  "aliyun",
	CloudTencent: "tencent",
}

func (s CloudType) String() string { return CloudTypeList[s] }
