package operation

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/operation/model"
)

type publish struct {
	Table
	cloud     cloud
	userCloud userCloud
	create    string `name:"create title* content*" role:"leader"`
}

func (s publish) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.CLOUD_UID))...)
	s.recordEventWithName(m, "")
}
func (s publish) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userCloud, s.cloud, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(publish{}) }
