package shichangyingxiao

import "shylinux.com/x/ice"

type channel struct{ Table }

func init() { ice.TeamCtxCmd(channel{}) }

type ChannelType int

const (
	ChannelRD ChannelType = iota
	ChannelOP
	ChannelHR
)

var ChannelTypeList = map[ChannelType]string{
	ChannelRD: "RD",
	ChannelOP: "OP",
	ChannelHR: "HR",
}

func (s ChannelType) String() string { return ChannelTypeList[s] }