package zijinlian

import "shylinux.com/x/ice"

type investor struct{ Table }

func init() { ice.TeamCtxCmd(investor{}) }

type InvestorType int

const (
	InvestorRD InvestorType = iota
	InvestorOP
	InvestorHR
)

var InvestorTypeList = map[InvestorType]string{
	InvestorRD: "RD",
	InvestorOP: "OP",
	InvestorHR: "HR",
}

func (s InvestorType) String() string { return InvestorTypeList[s] }